{
  config,
  lib,
  ...
}: let
  cfg = config.hive.kdeconnect;
in {
  options.hive.kdeconnect = {
    enable = lib.mkEnableOption "Enable KDE Connect";
    indicatorOnly = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = ''
        Only enable the incicator service.
      '';
    };
  };
  config = lib.mkIf cfg.enable {
    services.kdeconnect.enable = ! cfg.indicatorOnly;
    services.kdeconnect.indicator = true;
  };
}
